<?php
date_default_timezone_set('America/Buenos_Aires');

include('exceptionhandler.php');
include('wsaa.class.php');
include('wsfev1.class.php');


$wsaa = new WSAA();

// Compruebo fecha de exp y si la excede genero nuevo TA

$fecha_ahora = date("Y-m-d H-i-s");
$fecha_exp_TA = $wsaa->get_expiration();

if ($fecha_exp_TA < $fecha_ahora) {
if ($wsaa->generar_TA()) {
  //  echo 'Nuevo TA, válido hasta: '. $wsaa->get_expiration() .'<br>';
  } else {
  	//echo 'Error al obtener TA';
  }
} else {
//	 echo 'TA reutilizado, válido hasta: '. $wsaa->get_expiration() .'<br>';
}

//Conecto Wsfev1

$wsfev1 = new WSFEV1();

// Carga el archivo TA.xml
$wsfev1->openTA();

$ptovta = 1;
$tipo_cbte = 1;
$cbte_nro = 22;

$datos_cbte = $wsfev1->consultarComprobante($ptovta, $tipo_cbte, $cbte_nro);

echo "<pre>";

if ($datos_cbte) {
	echo json_encode($datos_cbte, JSON_PRETTY_PRINT);
}else{
	echo json_encode(array('success' => false, 'Código'=>$wsfev1->Code, 'Error'=> $wsfev1->Msg));
}

echo "<pre>";

?>
